package org.objectweb.jonas.webapp.jonasadmin.monitoring;

import org.apache.struts.action.ActionForm;

public class NodeInfoForm extends ActionForm {

    private String serverName = "N/A";
    private String hostName = "N/A";
    private String JOnASVersion = "N/A";
    private String javaVendor = "N/A";
    private String javaVersion = "N/A";
    private String state = "N/A";
    private int currentUsedMemory = -1;
    private int currentTotalMemory = -1;
    private int allThreadsCount = -1;
    private String protocols = "N/A";
    private String connectionUrl = null;
    // infos jdk5
    private String loadCPU = "N/A";
    // Tomcat
    private int maxThreadsByConnectorTomcat = -1;
    private int currentThreadCountByConnectorTomcat = -1;
    private int currentThreadBusyByConnectorTomcat = -1;
    private long bytesReceivedByConnectorTomcat = -1;
    private long bytesSentByConnectorTomcat = -1;
    private int errorCountByConnectorTomcat = -1;
    private long processingTimeByConnectorTomcat = -1;
    private int requestCountByConnectorTomcat = -1;
    //Tx
    private int totalBegunTransactions = -1;
    private int totalCommittedTransactions = -1;
    private int totalCurrentTransactions = -1;
    private int totalExpiredTransactions = -1;
    private int totalRolledbackTransactions = -1;
    // Worker Pool
    private int currentWorkerPoolSize = -1;
    private int maxWorkerPoolSize = -1;
    private int minWorkerPoolSize = -1;
    // JCA
    private int busyMaxJCAConnection = -1;
    private int busyMinJCAConnection = -1;
    private int connectionFailuresJCAConnection = -1;
    private int connectionLeaksJCAConnection = -1;
    private int currentBusyJCAConnection = -1;
    private int currentInTxJCAConnection = -1;
    private int currentOpenedJCAConnection = -1;
    private int currentWaitersJCAConnection = -1;
    private int initPoolSizeJCAConnection = -1;
    private int poolMaxSizeJCAConnection = -1;
    private int poolMinSizeJCAConnection = -1;
    private int poolMaxWaitersJCAConnection = -1;
    private int poolMaxWaitTimeJCAConnection = -1;
    private int poolMaxOpentimeJCAConnection = -1;
    private int physicalConnectionOpenedCountJCAConnection = -1;
    private int pstmtMaxJCAConnection = -1;
    private int rejectedFullJCAConnection = -1;
    private int rejectedOpenJCAConnection = -1;
    private int rejectedOtherJCAConnection = -1;
    private int rejectedTimeoutJCAConnection = -1;
    private int xaServedOpenJCAConnection = -1;
    private int waiterCountJCAConnection = -1;
    private int waitersHighJCAConnection = -1;
    private int waitersHighRecentJCAConnection = -1;
    private int waitingHighJCAConnection = -1;
    private int waitingHighRecentJCAConnection = -1;
    private int waitingTimeJCAConnection = -1;
    // JMS
    private int jmsQueuesNbMsgsReceiveSinceCreation = -1;
    private int jmsQueuesNbMsgsSendToDMQSinceCreation = -1;
    private int jmsQueuesNbMsgsDeliverSinceCreation = -1;
    private int jmsTopicsNbMsgsReceiveSinceCreation = -1;
    private int jmsTopicsNbMsgsSendToDMQSinceCreation = -1;
    private int jmsTopicsNbMsgsDeliverSinceCreation = -1;
    // EJB
    private int currentNumberOfBMP = -1;
    private int currentNumberOfCMP = -1;
    private int currentNumberOfEJB = -1;
    private int currentNumberOfMDB = -1;
    private int currentNumberOfSBF = -1;
    private int currentNumberOfSBL = -1;
    private int currentNumberOfEBInMemory = -1;
    private int maxNumberOfEBInMemory = -1;
    private int minPoolSizeEB = -1;
    private int poolSizeEB = -1;
    private int currentNumberOfSBFInMemory = -1;
    private int maxNumberOfSBFInMemory = -1;
    private int minPoolSizeSBF = -1;
    private int poolSizeSBF = -1;
    private int currentNumberOfSBLInMemory = -1;
    private int maxNumberOfSBLInMemory = -1;
    private int minPoolSizeSBL = -1;
    private int poolSizeSBL = -1;

    private class ThreadPullCount {
        private int current;
        private int max;

        public ThreadPullCount(int current, int max){
            this.current = current;
            this.max = max;
        }

        public int getCurrent(){
            return this.current;
        }
        public int getMax(){
            return this.max;
        }
    }

    public void setServerName(String val){
        this.serverName = val;
    }

    public String getServerName(){
        return this.serverName;
    }

    public void setJOnASVersion(String val){
        this.JOnASVersion = val;
    }

    public String getJOnASVersion(){
        return this.JOnASVersion;
    }

    public void setJavaVersion(String val){
        this.javaVersion = val;
    }

    public String getJavaVersion(){
        return this.javaVersion;
    }

    public void setHostName(String val){
        this.hostName = val;
    }

    public String getHostName(){
        return this.hostName;
    }

    public void setJavaVendor(String val){
        this.javaVendor = val;
    }

    public String getJavaVendor(){
        return this.javaVendor;
    }

    public void setState(String val){
        this.state = val;
    }

    public String getState(){
        return this.state;
    }

    public void setLoadCPU(String val){
        this.loadCPU = val;
    }

    public String getLoadCPU(){
        return this.loadCPU;
    }

    public void setCurrentUsedMemory(int val){
        this.currentUsedMemory = val;
    }

    public int getCurrentUsedMemory(){
        return this.currentUsedMemory;
    }

    public void setCurrentTotalMemory(int val){
        this.currentTotalMemory = val;
    }

    public int getCurrentTotalMemory(){
        return this.currentTotalMemory;
    }

    public void setAllThreadsCount(int val){
        this.allThreadsCount = val;
    }

    public int getAllThreadsCount(){
        return this.allThreadsCount;
    }

    public int getBusyMaxJCAConnection() {
        return busyMaxJCAConnection;
    }

    public void setBusyMaxJCAConnection(int busyMaxJCAConnection) {
        this.busyMaxJCAConnection = busyMaxJCAConnection;
    }

    public int getBusyMinJCAConnection() {
        return busyMinJCAConnection;
    }

    public void setBusyMinJCAConnection(int busyMinJCAConnection) {
        this.busyMinJCAConnection = busyMinJCAConnection;
    }

    public long getBytesReceivedByConnectorTomcat() {
        return bytesReceivedByConnectorTomcat;
    }

    public void setBytesReceivedByConnectorTomcat(long l) {
        this.bytesReceivedByConnectorTomcat = l;
    }

    public long getBytesSentByConnectorTomcat() {
        return bytesSentByConnectorTomcat;
    }

    public void setBytesSentByConnectorTomcat(long bytesSentByConnectorTomcat) {
        this.bytesSentByConnectorTomcat = bytesSentByConnectorTomcat;
    }

    public int getConnectionFailuresJCAConnection() {
        return connectionFailuresJCAConnection;
    }

    public void setConnectionFailuresJCAConnection(
            int connectionFailuresJCAConnection) {
        this.connectionFailuresJCAConnection = connectionFailuresJCAConnection;
    }

    public int getConnectionLeaksJCAConnection() {
        return connectionLeaksJCAConnection;
    }

    public void setConnectionLeaksJCAConnection(int connectionLeaksJCAConnection) {
        this.connectionLeaksJCAConnection = connectionLeaksJCAConnection;
    }

    public int getCurrentBusyJCAConnection() {
        return currentBusyJCAConnection;
    }

    public void setCurrentBusyJCAConnection(int currentBusyJCAConnection) {
        this.currentBusyJCAConnection = currentBusyJCAConnection;
    }

    public int getCurrentInTxJCAConnection() {
        return currentInTxJCAConnection;
    }

    public void setCurrentInTxJCAConnection(int currentInTxJCAConnection) {
        this.currentInTxJCAConnection = currentInTxJCAConnection;
    }

    public int getCurrentNumberOfBMP() {
        return currentNumberOfBMP;
    }

    public void setCurrentNumberOfBMP(int currentNumberOfBMP) {
        this.currentNumberOfBMP = currentNumberOfBMP;
    }

    public int getCurrentNumberOfCMP() {
        return currentNumberOfCMP;
    }

    public void setCurrentNumberOfCMP(int currentNumberOfCMP) {
        this.currentNumberOfCMP = currentNumberOfCMP;
    }

    public int getCurrentNumberOfEBInMemory() {
        return currentNumberOfEBInMemory;
    }

    public void setCurrentNumberOfEBInMemory(int currentNumberOfEBInMemory) {
        this.currentNumberOfEBInMemory = currentNumberOfEBInMemory;
    }

    public int getCurrentNumberOfEJB() {
        return currentNumberOfEJB;
    }

    public void setCurrentNumberOfEJB(int currentNumberOfEJB) {
        this.currentNumberOfEJB = currentNumberOfEJB;
    }

    public int getCurrentNumberOfMDB() {
        return currentNumberOfMDB;
    }

    public void setCurrentNumberOfMDB(int currentNumberOfMDB) {
        this.currentNumberOfMDB = currentNumberOfMDB;
    }

    public int getCurrentNumberOfSBF() {
        return currentNumberOfSBF;
    }

    public void setCurrentNumberOfSBF(int currentNumberOfSBF) {
        this.currentNumberOfSBF = currentNumberOfSBF;
    }

    public int getCurrentNumberOfSBFInMemory() {
        return currentNumberOfSBFInMemory;
    }

    public void setCurrentNumberOfSBFInMemory(int currentNumberOfSBFInMemory) {
        this.currentNumberOfSBFInMemory = currentNumberOfSBFInMemory;
    }

    public int getCurrentNumberOfSBL() {
        return currentNumberOfSBL;
    }

    public void setCurrentNumberOfSBL(int currentNumberOfSBL) {
        this.currentNumberOfSBL = currentNumberOfSBL;
    }

    public int getCurrentNumberOfSBLInMemory() {
        return currentNumberOfSBLInMemory;
    }

    public void setCurrentNumberOfSBLInMemory(int currentNumberOfSBLInMemory) {
        this.currentNumberOfSBLInMemory = currentNumberOfSBLInMemory;
    }

    public int getCurrentOpenedJCAConnection() {
        return currentOpenedJCAConnection;
    }

    public void setCurrentOpenedJCAConnection(int currentOpenedJCAConnection) {
        this.currentOpenedJCAConnection = currentOpenedJCAConnection;
    }

    public int getCurrentThreadBusyByConnectorTomcat() {
        return currentThreadBusyByConnectorTomcat;
    }

    public void setCurrentThreadBusyByConnectorTomcat(
            int currentThreadBusyByConnectorTomcat) {
        this.currentThreadBusyByConnectorTomcat = currentThreadBusyByConnectorTomcat;
    }

    public int getCurrentThreadCountByConnectorTomcat() {
        return currentThreadCountByConnectorTomcat;
    }

    public void setCurrentThreadCountByConnectorTomcat(
            int currentThreadCountByConnectorTomcat) {
        this.currentThreadCountByConnectorTomcat = currentThreadCountByConnectorTomcat;
    }

    public int getCurrentWaitersJCAConnection() {
        return currentWaitersJCAConnection;
    }

    public void setCurrentWaitersJCAConnection(int currentWaitersJCAConnection) {
        this.currentWaitersJCAConnection = currentWaitersJCAConnection;
    }

    public int getCurrentWorkerPoolSize() {
        return currentWorkerPoolSize;
    }

    public void setCurrentWorkerPoolSize(int currentWorkerPoolSize) {
        this.currentWorkerPoolSize = currentWorkerPoolSize;
    }

    public int getErrorCountByConnectorTomcat() {
        return errorCountByConnectorTomcat;
    }

    public void setErrorCountByConnectorTomcat(int errorCountByConnectorTomcat) {
        this.errorCountByConnectorTomcat = errorCountByConnectorTomcat;
    }

    public int getInitPoolSizeJCAConnection() {
        return initPoolSizeJCAConnection;
    }

    public void setInitPoolSizeJCAConnection(int initPoolSizeJCAConnection) {
        this.initPoolSizeJCAConnection = initPoolSizeJCAConnection;
    }

    public int getJmsQueuesNbMsgsDeliverSinceCreation() {
        return jmsQueuesNbMsgsDeliverSinceCreation;
    }

    public void setJmsQueuesNbMsgsDeliverSinceCreation(
            int jmsQueuesNbMsgsDeliverSinceCreation) {
        this.jmsQueuesNbMsgsDeliverSinceCreation = jmsQueuesNbMsgsDeliverSinceCreation;
    }

    public int getJmsQueuesNbMsgsReceiveSinceCreation() {
        return jmsQueuesNbMsgsReceiveSinceCreation;
    }

    public void setJmsQueuesNbMsgsReceiveSinceCreation(
            int jmsQueuesNbMsgsReceiveSinceCreation) {
        this.jmsQueuesNbMsgsReceiveSinceCreation = jmsQueuesNbMsgsReceiveSinceCreation;
    }

    public int getJmsQueuesNbMsgsSendToDMQSinceCreation() {
        return jmsQueuesNbMsgsSendToDMQSinceCreation;
    }

    public void setJmsQueuesNbMsgsSendToDMQSinceCreation(
            int jmsQueuesNbMsgsSendToDMQSinceCreation) {
        this.jmsQueuesNbMsgsSendToDMQSinceCreation = jmsQueuesNbMsgsSendToDMQSinceCreation;
    }

    public int getJmsTopicsNbMsgsDeliverSinceCreation() {
        return jmsTopicsNbMsgsDeliverSinceCreation;
    }

    public void setJmsTopicsNbMsgsDeliverSinceCreation(
            int jmsTopicsNbMsgsDeliverSinceCreation) {
        this.jmsTopicsNbMsgsDeliverSinceCreation = jmsTopicsNbMsgsDeliverSinceCreation;
    }

    public int getJmsTopicsNbMsgsReceiveSinceCreation() {
        return jmsTopicsNbMsgsReceiveSinceCreation;
    }

    public void setJmsTopicsNbMsgsReceiveSinceCreation(
            int jmsTopicsNbMsgsReceiveSinceCreation) {
        this.jmsTopicsNbMsgsReceiveSinceCreation = jmsTopicsNbMsgsReceiveSinceCreation;
    }

    public int getJmsTopicsNbMsgsSendToDMQSinceCreation() {
        return jmsTopicsNbMsgsSendToDMQSinceCreation;
    }

    public void setJmsTopicsNbMsgsSendToDMQSinceCreation(
            int jmsTopicsNbMsgsSendToDMQSinceCreation) {
        this.jmsTopicsNbMsgsSendToDMQSinceCreation = jmsTopicsNbMsgsSendToDMQSinceCreation;
    }

    public int getMaxNumberOfEBInMemory() {
        return maxNumberOfEBInMemory;
    }

    public void setMaxNumberOfEBInMemory(int maxNumberOfEBInMemory) {
        this.maxNumberOfEBInMemory = maxNumberOfEBInMemory;
    }

    public int getMaxNumberOfSBFInMemory() {
        return maxNumberOfSBFInMemory;
    }

    public void setMaxNumberOfSBFInMemory(int maxNumberOfSBFInMemory) {
        this.maxNumberOfSBFInMemory = maxNumberOfSBFInMemory;
    }

    public int getMaxNumberOfSBLInMemory() {
        return maxNumberOfSBLInMemory;
    }

    public void setMaxNumberOfSBLInMemory(int maxNumberOfSBLInMemory) {
        this.maxNumberOfSBLInMemory = maxNumberOfSBLInMemory;
    }

    public int getMaxThreadsByConnectorTomcat() {
        return maxThreadsByConnectorTomcat;
    }

    public void setMaxThreadsByConnectorTomcat(int maxThreadsByConnectorTomcat) {
        this.maxThreadsByConnectorTomcat = maxThreadsByConnectorTomcat;
    }

    public int getMaxWorkerPoolSize() {
        return maxWorkerPoolSize;
    }

    public void setMaxWorkerPoolSize(int maxWorkerPoolSize) {
        this.maxWorkerPoolSize = maxWorkerPoolSize;
    }

    public int getMinPoolSizeEB() {
        return minPoolSizeEB;
    }

    public void setMinPoolSizeEB(int minPoolSizeEB) {
        this.minPoolSizeEB = minPoolSizeEB;
    }

    public int getMinPoolSizeSBF() {
        return minPoolSizeSBF;
    }

    public void setMinPoolSizeSBF(int minPoolSizeSBF) {
        this.minPoolSizeSBF = minPoolSizeSBF;
    }

    public int getMinPoolSizeSBL() {
        return minPoolSizeSBL;
    }

    public void setMinPoolSizeSBL(int minPoolSizeSBL) {
        this.minPoolSizeSBL = minPoolSizeSBL;
    }

    public int getMinWorkerPoolSize() {
        return minWorkerPoolSize;
    }

    public void setMinWorkerPoolSize(int minWorkerPoolSize) {
        this.minWorkerPoolSize = minWorkerPoolSize;
    }

    public int getPhysicalConnectionOpenedCountJCAConnection() {
        return physicalConnectionOpenedCountJCAConnection;
    }

    public void setPhysicalConnectionOpenedCountJCAConnection(
            int physicalConnectionOpenedCountJCAConnection) {
        this.physicalConnectionOpenedCountJCAConnection = physicalConnectionOpenedCountJCAConnection;
    }

    public int getPoolMaxOpentimeJCAConnection() {
        return poolMaxOpentimeJCAConnection;
    }

    public void setPoolMaxOpentimeJCAConnection(int poolMaxOpentimeJCAConnection) {
        this.poolMaxOpentimeJCAConnection = poolMaxOpentimeJCAConnection;
    }

    public int getPoolMaxSizeJCAConnection() {
        return poolMaxSizeJCAConnection;
    }

    public void setPoolMaxSizeJCAConnection(int poolMaxSizeJCAConnection) {
        this.poolMaxSizeJCAConnection = poolMaxSizeJCAConnection;
    }

    public int getPoolMaxWaitersJCAConnection() {
        return poolMaxWaitersJCAConnection;
    }

    public void setPoolMaxWaitersJCAConnection(int poolMaxWaitersJCAConnection) {
        this.poolMaxWaitersJCAConnection = poolMaxWaitersJCAConnection;
    }

    public int getPoolMaxWaitTimeJCAConnection() {
        return poolMaxWaitTimeJCAConnection;
    }

    public void setPoolMaxWaitTimeJCAConnection(int poolMaxWaitTimeJCAConnection) {
        this.poolMaxWaitTimeJCAConnection = poolMaxWaitTimeJCAConnection;
    }

    public int getPoolMinSizeJCAConnection() {
        return poolMinSizeJCAConnection;
    }

    public void setPoolMinSizeJCAConnection(int poolMinSizeJCAConnection) {
        this.poolMinSizeJCAConnection = poolMinSizeJCAConnection;
    }

    public int getPoolSizeEB() {
        return poolSizeEB;
    }

    public void setPoolSizeEB(int poolSizeEB) {
        this.poolSizeEB = poolSizeEB;
    }

    public int getPoolSizeSBF() {
        return poolSizeSBF;
    }

    public void setPoolSizeSBF(int poolSizeSBF) {
        this.poolSizeSBF = poolSizeSBF;
    }

    public int getPoolSizeSBL() {
        return poolSizeSBL;
    }

    public void setPoolSizeSBL(int poolSizeSBL) {
        this.poolSizeSBL = poolSizeSBL;
    }

    public long getProcessingTimeByConnectorTomcat() {
        return processingTimeByConnectorTomcat;
    }

    public void setProcessingTimeByConnectorTomcat(long value) {
        processingTimeByConnectorTomcat = value;
    }

    public String getProtocols() {
        return protocols;
    }

    public void setProtocols(String protocols) {
        this.protocols = protocols;
    }

    public int getPstmtMaxJCAConnection() {
        return pstmtMaxJCAConnection;
    }

    public void setPstmtMaxJCAConnection(int pstmtMaxJCAConnection) {
        this.pstmtMaxJCAConnection = pstmtMaxJCAConnection;
    }

    public int getRejectedFullJCAConnection() {
        return rejectedFullJCAConnection;
    }

    public void setRejectedFullJCAConnection(int rejectedFullJCAConnection) {
        this.rejectedFullJCAConnection = rejectedFullJCAConnection;
    }

    public int getRejectedOpenJCAConnection() {
        return rejectedOpenJCAConnection;
    }

    public void setRejectedOpenJCAConnection(int rejectedOpenJCAConnection) {
        this.rejectedOpenJCAConnection = rejectedOpenJCAConnection;
    }

    public int getRejectedOtherJCAConnection() {
        return rejectedOtherJCAConnection;
    }

    public void setRejectedOtherJCAConnection(int rejectedOtherJCAConnection) {
        this.rejectedOtherJCAConnection = rejectedOtherJCAConnection;
    }

    public int getRejectedTimeoutJCAConnection() {
        return rejectedTimeoutJCAConnection;
    }

    public void setRejectedTimeoutJCAConnection(int rejectedTimeoutJCAConnection) {
        this.rejectedTimeoutJCAConnection = rejectedTimeoutJCAConnection;
    }

    public int getRequestCountByConnectorTomcat() {
        return requestCountByConnectorTomcat;
    }

    public void setRequestCountByConnectorTomcat(int requestCountByConnectorTomcat) {
        this.requestCountByConnectorTomcat = requestCountByConnectorTomcat;
    }

    public int getTotalBegunTransactions() {
        return totalBegunTransactions;
    }

    public void setTotalBegunTransactions(int totalBegunTransactions) {
        this.totalBegunTransactions = totalBegunTransactions;
    }

    public int getTotalCommittedTransactions() {
        return totalCommittedTransactions;
    }

    public void setTotalCommittedTransactions(int totalCommittedTransactions) {
        this.totalCommittedTransactions = totalCommittedTransactions;
    }

    public int getTotalCurrentTransactions() {
        return totalCurrentTransactions;
    }

    public void setTotalCurrentTransactions(int totalCurrentTransactions) {
        this.totalCurrentTransactions = totalCurrentTransactions;
    }

    public int getTotalExpiredTransactions() {
        return totalExpiredTransactions;
    }

    public void setTotalExpiredTransactions(int totalExpiredTransactions) {
        this.totalExpiredTransactions = totalExpiredTransactions;
    }

    public int getTotalRolledbackTransactions() {
        return totalRolledbackTransactions;
    }

    public void setTotalRolledbackTransactions(int totalRolledbackTransactions) {
        this.totalRolledbackTransactions = totalRolledbackTransactions;
    }

    public int getWaiterCountJCAConnection() {
        return waiterCountJCAConnection;
    }

    public void setWaiterCountJCAConnection(int waiterCountJCAConnection) {
        this.waiterCountJCAConnection = waiterCountJCAConnection;
    }

    public int getWaitersHighJCAConnection() {
        return waitersHighJCAConnection;
    }

    public void setWaitersHighJCAConnection(int waitersHighJCAConnection) {
        this.waitersHighJCAConnection = waitersHighJCAConnection;
    }

    public int getWaitersHighRecentJCAConnection() {
        return waitersHighRecentJCAConnection;
    }

    public void setWaitersHighRecentJCAConnection(int waitersHighRecentJCAConnection) {
        this.waitersHighRecentJCAConnection = waitersHighRecentJCAConnection;
    }

    public int getWaitingHighJCAConnection() {
        return waitingHighJCAConnection;
    }

    public void setWaitingHighJCAConnection(int waitingHighJCAConnection) {
        this.waitingHighJCAConnection = waitingHighJCAConnection;
    }

    public int getWaitingHighRecentJCAConnection() {
        return waitingHighRecentJCAConnection;
    }

    public void setWaitingHighRecentJCAConnection(int waitingHighRecentJCAConnection) {
        this.waitingHighRecentJCAConnection = waitingHighRecentJCAConnection;
    }

    public int getWaitingTimeJCAConnection() {
        return waitingTimeJCAConnection;
    }

    public void setWaitingTimeJCAConnection(int waitingTimeJCAConnection) {
        this.waitingTimeJCAConnection = waitingTimeJCAConnection;
    }

    public int getXaServedOpenJCAConnection() {
        return xaServedOpenJCAConnection;
    }

    public void setXaServedOpenJCAConnection(int xaServedOpenJCAConnection) {
        this.xaServedOpenJCAConnection = xaServedOpenJCAConnection;
    }

    public String getConnectionUrl() {
        return connectionUrl;
    }

    public void setConnectionUrl(String connectionUrl) {
        this.connectionUrl = connectionUrl;
    }
}
