<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionDisplayNodeInfo" selected="true"><bean:write name="nodeInfoForm" property="serverName"/></sj:tab>
  <sj:panel>
    <bean:define id ="state" name="nodeInfoForm" property="state"/>
    <logic:equal name="state" value="RUNNING">
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Global</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          State
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="state"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Threads Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="allThreadsCount"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          JVM Version
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="javaVersion"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          JVM Vendor
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="javaVendor"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Memory Load
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentUsedMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Server Version
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="JOnASVersion"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Protocols
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="protocols"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Jmx Connection URL
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="connectionUrl"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
<!--
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Infos JDK5</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
-->
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Tomcat</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Max Threads
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="maxThreadsByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Thread Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentThreadCountByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Threads Busy
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentThreadBusyByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Bytes Received
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="bytesReceivedByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Bytes Sent
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="bytesSentByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Error Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="errorCountByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Processing Time
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="processingTimeByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Request Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="requestCountByConnectorTomcat"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Transactions</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Total Begun Transactions
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="totalBegunTransactions"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Total Committed Transactions
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="totalCommittedTransactions"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Total Current Transactions
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="totalCurrentTransactions"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Total Expired Transactions
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="totalExpiredTransactions"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Total Rolled Back Transactions
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="totalRolledbackTransactions"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Worker Pool</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Current Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentWorkerPoolSize"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="maxWorkerPoolSize"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="minWorkerPoolSize"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <!--
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>JCA</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Max Busy Connections
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="busyMaxJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Busy Connections
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="busyMinJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Connection Failures
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="connectionFailuresJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Connection Leaks
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="connectionLeaksJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Busy Connections
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentBusyJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current In Tx
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentInTxJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Opened
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentOpenedJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Waiters
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentWaitersJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Init Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="initPoolSizeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolMaxSizeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolMinSizeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Waiters
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolMaxWaitersJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Wait Time
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolMaxWaitTimeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Opentime
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolMaxOpentimeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Opened Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="physicalConnectionOpenedCountJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Prepared Statement
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="pstmtMaxJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Rejected Full
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="rejectedFullJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Rejected Open
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="rejectedOpenJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Rejected Timeout
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="rejectedTimeoutJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Rejected Other
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="rejectedOtherJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          XA Served Open
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="xaServedOpenJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiter Count
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waiterCountJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiters High
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitersHighJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiters High Recent
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitersHighRecentJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiters High Recent
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitersHighRecentJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiting High
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitingHighJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiting High Recent
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitingHighRecentJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Waiting Time
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="waitingTimeJCAConnection"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>JMS</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Nb Messages Received in all the Queues
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="jmsQueuesNbMsgsReceiveSinceCreation"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Nb Messages Delivered from all the Queues
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="jmsQueuesNbMsgsDeliverSinceCreation"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Nb Messags Sent to the DMQ
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="jmsQueuesNbMsgsSendToDMQSinceCreation"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Nb Messages Received in all the Topics
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="jmsTopicsNbMsgsReceiveSinceCreation"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Nb Messages Delivered from all the Topics
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="jmsTopicsNbMsgsDeliverSinceCreation"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    -->

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>EJBs</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of EJB
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfEJB"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of BMP
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfBMP"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of CMP
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfCMP"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of SBF
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfSBF"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of SBL
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfSBL"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Current Number Of MDB
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfMDB"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Entity Beans</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfEBInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="maxNumberOfEBInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolSizeEB"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="minPoolSizeEB"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>SBF</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfSBFInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="maxNumberOfSBFInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolSizeSBF"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="minPoolSizeSBF"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>SBL</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="currentNumberOfSBLInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Max Cache Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="maxNumberOfSBLInMemory"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="poolSizeSBL"/>
        </sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName>
          Min Pool Size
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="minPoolSizeSBL"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    </logic:equal>

    <logic:notEqual name="state" value="RUNNING">
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>Global</sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName>
          State
        </sj:jgName>
        <sj:jgValue>
          <bean:write name="nodeInfoForm" property="state"/>
        </sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    </logic:notEqual>
  </sj:panel>
</sj:tabs>


<%@ include file="../common/end.jsp" %>
</body>
</html:html>